package cn.com.poc.law.entity;


import javax.persistence.Column;

public class BizAiLawyerWritingTemplateDataEntity {

    private static final long serialVersionUID = 1L;
	/** biz_ai_lawyer_writing_template_data_id
    *
    */ 
    private java.lang.Integer bizAiLawyerWritingTemplateDataId;

    public java.lang.Integer getBizAiLawyerWritingTemplateDataId(){
        return this.bizAiLawyerWritingTemplateDataId;
    }
    
    public void setBizAiLawyerWritingTemplateDataId(java.lang.Integer bizAiLawyerWritingTemplateDataId){
        this.bizAiLawyerWritingTemplateDataId = bizAiLawyerWritingTemplateDataId;
    }
	/** biz_ai_lawyer_writing_template_dialogues_id
    *对话id
    */ 
    private java.lang.String bizAiLawyerWritingTemplateDialoguesId;

    public java.lang.String getBizAiLawyerWritingTemplateDialoguesId(){
        return this.bizAiLawyerWritingTemplateDialoguesId;
    }
    
    public void setBizAiLawyerWritingTemplateDialoguesId(java.lang.String bizAiLawyerWritingTemplateDialoguesId){
        this.bizAiLawyerWritingTemplateDialoguesId = bizAiLawyerWritingTemplateDialoguesId;
    }
	/** biz_ai_lawyer_writing_template_dialogues_record_id
    *
    */ 
    private java.lang.Long bizAiLawyerWritingTemplateDialoguesRecordId;

    public java.lang.Long getBizAiLawyerWritingTemplateDialoguesRecordId(){
        return this.bizAiLawyerWritingTemplateDialoguesRecordId;
    }
    
    public void setBizAiLawyerWritingTemplateDialoguesRecordId(java.lang.Long bizAiLawyerWritingTemplateDialoguesRecordId){
        this.bizAiLawyerWritingTemplateDialoguesRecordId = bizAiLawyerWritingTemplateDialoguesRecordId;
    }
	/** biz_ai_lawyer_writing_template_data
    *写作数据
    */ 
    private java.lang.String bizAiLawyerWritingTemplateData;

    public java.lang.String getBizAiLawyerWritingTemplateData(){
        return this.bizAiLawyerWritingTemplateData;
    }
    
    public void setBizAiLawyerWritingTemplateData(java.lang.String bizAiLawyerWritingTemplateData){
        this.bizAiLawyerWritingTemplateData = bizAiLawyerWritingTemplateData;
    }

    /** biz_ai_lawyer_writing_template_code
     *写作数据
     */
    private java.lang.String bizAiLawyerWritingTemplateCode;

    public String getBizAiLawyerWritingTemplateCode() {
        return bizAiLawyerWritingTemplateCode;
    }

    public void setBizAiLawyerWritingTemplateCode(String bizAiLawyerWritingTemplateCode) {
        this.bizAiLawyerWritingTemplateCode = bizAiLawyerWritingTemplateCode;
    }

	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}